%define name rpm-rebuilder
%define version 0.14
%define release 1mdk

Summary: Tools to build/check distributions
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Packaging
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: rpmlint strace rpm-build
BuildArchitectures: noarch

%description
The rpm-rebuilder package contains a set of tools written in bourne
shell and python to rebuild/check large sets of rpm source packages.

check-distrib: checks if a set of source and binary rpms are in sync.

rpm-rebuilder: build a set of rpms from a set of srpms.

compute-build-requires: trace an rpm build command to find the BuildRequires
it needs.

compute-compile-order: from the sets of binary and sources rpms, find the order
in which the source rpms must be recompiled.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/sbin/*
/usr/share/rpm-rebuilder
%doc AUTHORS README README.CVS ChangeLog

%changelog
* Wed Feb  4 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.14-1mdk
- added -U option to chrooted-install to install base-system via the local urpmi
- added rebuild-rpm script

* Mon Oct  6 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.13-1mdk
- yet more fixes against command line size limitations

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.12-1mdk
- use doble -g invocation in order to avoid command line size limitations

* Thu Aug  7 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.11-1mdk
- fix rpmold typos

* Tue Aug  5 2003 Douglas Wilkins <douglasw@mweb.co.za> 0.10-1mdk
- ported check-distrib, rpmheader and rpmold to rpm 4.2, retaining
   backward compatibility
- own /usr/share/rpm-rebuilder (distlint)

* Fri Aug  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9-1mdk
- adapted rpmheader for rpm 4.2

* Tue May  6 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.8-1mdk
- adapted chrooted-install for 9.[12]
- move chrooted-install to /usr/sbin because it needs to be run as root
- ported compute-build-requires to rpm 4.2

* Mon Jan 20 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7.1-1mdk
- Make sure to reinstall automake-1.4 for MDK version >= 9.0
- Make LOCAL_ARCH default to uname -m, but make sure all x86 arches
  default to "i386" in that case

* Mon Mar  4 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.7-1mdk
- adapted for 8.2

* Fri Oct  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.6-1mdk
- added the missing head-grep.py file
- added -S to run the rpm scriptlets after installing the base system
- added -y to install ypbind and configure it like in the host system
- added -m to use pam_mkhomedir in pam config of sshd

* Tue May  8 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- chrooted-install: install the base rpms with --noscripts and run the
scripts afterward.

* Tue Feb 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-1mdk
- corrected compute-build-requires to work with rpm 4.

* Thu Nov 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.3-1mdk
- handle EXCLUDEARCH tag in rpm-rebuilder.

* Thu Oct 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- added chrooted-install which installs a basesystem in a chrooted environment
and then starts a chrooted ssh daemon on an alternative port.

* Sun Oct  1 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- first rpm version.

# rpm-rebuilder.spec ends here
